curl --request GET \
--url https://api.unibee.dev/merchant/email/template_list \
--header 'Authorization: Bearer <token>'{
"code": 123,
"data": {
"emailTemplateList": [
{
"VariableGroups": [
{
"groupName": "<string>",
"variables": [
{
"variableName": "<string>"
}
]
}
],
"createTime": 123,
"gatewayTemplateId": "<string>",
"id": 123,
"languageData": [
{
"content": "<string>",
"language": "<string>",
"title": "<string>"
}
],
"localizationVersions": [
{
"activate": true,
"localizations": [
{
"content": "<string>",
"language": "<string>",
"title": "<string>"
}
],
"versionId": "<string>",
"versionName": "<string>"
}
],
"merchantId": 123,
"status": "<string>",
"templateAttachName": "<string>",
"templateContent": "<string>",
"templateDescription": "<string>",
"templateName": "<string>",
"templateTitle": "<string>",
"updateTime": 123
}
],
"total": 123
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}curl --request GET \
--url https://api.unibee.dev/merchant/email/template_list \
--header 'Authorization: Bearer <token>'{
"code": 123,
"data": {
"emailTemplateList": [
{
"VariableGroups": [
{
"groupName": "<string>",
"variables": [
{
"variableName": "<string>"
}
]
}
],
"createTime": 123,
"gatewayTemplateId": "<string>",
"id": 123,
"languageData": [
{
"content": "<string>",
"language": "<string>",
"title": "<string>"
}
],
"localizationVersions": [
{
"activate": true,
"localizations": [
{
"content": "<string>",
"language": "<string>",
"title": "<string>"
}
],
"versionId": "<string>",
"versionName": "<string>"
}
],
"merchantId": 123,
"status": "<string>",
"templateAttachName": "<string>",
"templateContent": "<string>",
"templateDescription": "<string>",
"templateName": "<string>",
"templateTitle": "<string>",
"updateTime": 123
}
],
"total": 123
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}https://api.unibee.dev/merchant/email/template_list
Get Email Template List
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
curl -X GET "https://api.unibee.dev/merchant/email/template_list" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
curl -X GET "https://api-sandbox.unibee.top/merchant/email/template_list" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json"
code, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.emailTemplateList | array | Email Template Object List |
data.total | integer | Total |
message | string | Human-readable message |
requestId | string | Request ID for support |
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.